<template>
  <div class="columns-settings-item">
    <span>
      {{ (record as ITableColumnData).title }}
    </span>
    <div class="btns">
      <a-tooltip :content="locale.fixedLeft">
        <a-button
          v-if="is === 'center' && !hideAction"
          class="btn-item"
          type="text"
          @click.stop="$emit('gotoDirection', is, record, 'left')"
        >
          <template #icon>
            <icon-to-left />
          </template>
        </a-button>
      </a-tooltip>
      <a-tooltip :content="locale.fixedRight">
        <a-button
          v-if="is === 'center' && !hideAction"
          class="btn-item"
          type="text"
          @click.stop="$emit('gotoDirection', is, record, 'right')"
        >
          <template #icon>
            <icon-to-right />
          </template>
        </a-button>
      </a-tooltip>
      <a-tooltip :content="locale.noFixed">
        <a-button
          v-if="is !== 'center' && !hideAction"
          class="btn-item"
          type="text"
          @click.stop="$emit('gotoDirection', is, record, 'center')"
        >
          <template #icon>
            <icon-close />
          </template>
        </a-button>
      </a-tooltip>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { ITableColumnData, ILocale } from './help'

defineProps<{
    is: 'left' | 'right' | 'center';
    hideAction: boolean;
    record: ITableColumnData;
    locale: ILocale
  }>()

defineEmits(['gotoDirection'])
</script>

<style>
  .arco-table-tr:hover {
    .columns-settings-item {
      .btns {
        opacity: 1;
      }
    }
  }
</style>

<style scoped lang="less">
  .columns-settings-item {
    display: flex;
    justify-content: space-between;

    .btns {
      opacity: 0;
      transition-property: opacity;
      transition-timing-function: ease;
      transition-duration: 0.3s;
      transition-delay: 0.1s;

      &-item {
        margin: 0 2px;
      }
    }
  }
</style>
